Package it.ernytech.tdlib

## Class TdApi.SetChatTitle

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SetChatTitle

Enclosing class:
  TdApi

    public static class TdApi.SetChatTitle
    extends TdApi.Function

Changes the chat title. Supported only for basic groups, supergroups and channels. Requires administrator rights in basic groups and the appropriate administrator rights in supergroups and channels. The title will not be changed until the request to the server has been completed.

Returns `Ok`

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `title` New title of the chat; 1-255 characters.

### Constructor Summary

Constructors
`SetChatTitle()` Default constructor.
`SetChatTitle​(long chatId, java.lang.String title)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### title

    public java.lang.String title

New title of the chat; 1-255 characters.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SetChatTitle

    public SetChatTitle()

Default constructor.

#### SetChatTitle

    public SetChatTitle​(long chatId,
                        java.lang.String title)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `title` - New title of the chat; 1-255 characters.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR